| Home | Libraries | People | FAQ | More

## Reference

### Header <boost/none.hpp>

#### Synopsis

    namespace boost {

    class none_t {/* see below */};

    inline constexpr none_t none (/* see below */);

    } // namespace boost

Class `none_t` is meant to serve as a tag for selecting appropriate overloads of from `optional`'s interface. It is an empty, trivially copyable class with disabled default constructor.

Constant `none` is used to indicate an optional object that does not contain a value in initialization, assignment and relational operations of `optional`.